jQuery(document).ready(function ($) {
    $('#showlinkFrequency').change(function(){
        var value = $(this).val();
        if(parseInt(value) === 0){
            $('#numberFrequency').prop('disabled',true);
        }else{
            $('#numberFrequency').prop('disabled',false);
        }
    });
});